#include "xphysmass.h"

XPhysMass::XPhysMass()
    : XAsset()
    , mCenterOfMass()
    , mMomentsOfInertia()
    , mProductsOfInertia()
{
    SetName("Phys Mass");
}

XPhysMass::~XPhysMass()
{
    
}

void XPhysMass::ParseData(XDataStream *aStream)
{
    Q_UNUSED(aStream);

    // TODO: Fill in XPhysMass::ParseData
}

void XPhysMass::Clear()
{
    mCenterOfMass = QVector3D();
    mMomentsOfInertia = QVector3D();
    mProductsOfInertia = QVector3D();
}
